Bug 12772

Summary: [S60] Browser crash when exited upon loading.
Product: WebKit Reporter: Shyam Sareen <shyam.sareen>
Component: WebKit Misc.Assignee: Nobody <webkit-unassigned>
Status: CLOSED INVALID    
Severity: Normal CC: bradley.morrison, shyam.sareen
Priority: P1 Keywords: PlatformOnly
Version: 420+   
Hardware: S60 Emulator   
OS: S60 3rd edition   
Attachments:
Description Flags
Fix for 3.2/CCB
yongjun.zhang: review-
Fix for 3.1m
none
Fix for 3.2/CCB
bradley.morrison: review-
Fix for 3.1m
none
Another patch for 3.1m
yongjun.zhang: review-
Another patch for 3.2 Sachin.Padma: review-

Description Shyam Sareen 2007-02-14 08:38:46 PST
TWD ID: JKRL-6Y9HXC
Comment 1 Shyam Sareen 2007-02-14 09:00:11 PST
Created attachment 13166 [details]
Fix for 3.2/CCB
Comment 2 Shyam Sareen 2007-02-14 09:01:29 PST
Created attachment 13167 [details]
Fix for 3.1m
Comment 3 Yongjun Zhang 2007-02-14 11:22:33 PST
Comment on attachment 13166 [details]
Fix for 3.2/CCB

move frame->Deref() after TraverseNext() call.
Comment 4 Shyam Sareen 2007-02-14 11:43:51 PST
Created attachment 13174 [details]
Fix for 3.2/CCB
Comment 5 Shyam Sareen 2007-02-14 11:47:31 PST
Created attachment 13175 [details]
Fix for 3.1m
Comment 6 Yongjun Zhang 2007-02-14 13:05:18 PST
Comment on attachment 13174 [details]
Fix for 3.2/CCB

r=me
Comment 7 Bradley Morrison 2007-02-16 08:38:41 PST
landed on s60/trunk. r19658.

Note 3.1 is still pending review.
Comment 8 Yongjun Zhang 2007-02-16 12:35:05 PST
Comment on attachment 13175 [details]
Fix for 3.1m

r=me
Comment 9 Bradley Morrison 2007-02-16 15:17:07 PST
(In reply to comment #8)
> (From update of attachment 13175 [details] [edit])
> r=me
> 

r19668 
Comment 10 Shyam Sareen 2007-02-28 13:32:55 PST
Some more fix.
Comment 11 Shyam Sareen 2007-02-28 13:34:31 PST
Created attachment 13428 [details]
Another patch for 3.1m
Comment 12 Shyam Sareen 2007-02-28 13:36:56 PST
Created attachment 13429 [details]
Another patch for 3.2
Comment 13 Yongjun Zhang 2007-02-28 13:57:52 PST
Comment on attachment 13428 [details]
Another patch for 3.1m

simply add ref and deref is not a solution to avoid crashes in this case. Need to find the real cause of crash.  The patch is rejected.
Comment 14 Bradley Morrison 2007-03-05 11:36:11 PST
Comment on attachment 13175 [details]
Fix for 3.1m

clearing review flag
Comment 15 Bradley Morrison 2008-04-09 11:31:58 PDT
Bulk update of s60 bugs - tagging and closing.
Comment 16 Bradley Morrison 2008-04-09 11:39:49 PDT
Bulk closing of all s60 platform bugs. 

Sorry for the noise!
Comment 17 Joel Parks 2011-03-21 11:53:10 PDT
re-purposing InTSW keyword for use by QtWebkit team